#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/details.cgi - show package details
#
# Copyright (c) 2003-2010 Andreas Pohl, apohl(at)ibp-consult(dot)com
# Copyright (c) 2011-2018  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2006-07-01 ap
# Last Update:  $Id: details.cgi 51907 2018-02-28 17:09:12Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

echo 'Content-Type: text/html; charset=iso-8859-1'
echo 'Cache-control: no-store' # HTTP/1.1 (or no-cache?)
echo 'Pragma: no-cache'        # HTTP/1.0
echo
echo '<html><head>'
echo '<title>List Packages</title>'
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="../main.css">'
echo '</head>'

echo '<body>'

case "$QUERY_STRING" in
    (package*)
        # echo "$QUERY_STRING..."
        eval `echo "$QUERY_STRING" |tr '&' '\n'`
        echo '<pre>'
        ./list.sh "$myname" "$package"
        echo '</pre>'
        ;;
    (clean*)
        echo '<pre>'
        echo '</pre>'
        ;;
esac

echo '</body>'
echo '</html>'
exit 0

