#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/header.cgi - print list header
#
# Copyright (c) 2003-2010 Andreas Pohl, apohl(at)ibp-consult(dot)com
# Copyright (c) 2011-2018  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2006-07-01 ap
# Last Update:  $Id: header.cgi 51907 2018-02-28 17:09:12Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

myname=`basename $0`

# HTML-Header
echo 'Content-Type: text/html; charset=iso-8859-1'
echo 'Cache-control: no-store' # HTTP/1.1 (or no-cache?)
echo 'Pragma: no-cache'        # HTTP/1.0
echo
echo '<html><head>'
echo '<title>List Packages</title>'
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="../main.css">'
echo '</head>'

echo '<body>'
echo '<table border="0" width="100%" cellspacing="0">'
echo '    <tr>'
echo '        <td><h2>Paketliste</h2>'
echo '            <input name="refresh" type="button" value="REFRESH" style="width: 80px"'
echo "                onclick=\"window.window.open('content.cgi?list=all','_list');
                                window.window.open('details.cgi?clean','_details');\" title=\"Refresh list.\"></td>"
echo '        <td align="right" valign="top"><b>'
                  date +"%a, %d.%m.%Y %H:%M:%S"
echo '            </b></td></tr>'
echo '    <tr>'
              cat ./table
echo '        <td><strong>Package</font></strong></td>'
echo '        <td><strong>Version</font></strong></td>'
echo '        <td><strong>Date</font></strong></td>'
echo '        <td><strong>Pack-Eis</font></strong></td></tr>'
echo '</table>'
echo '<hr>'
echo '</body>'
echo '</html>'
exit 0
