#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/packagestatus.cgi - package status start script
#
# Copyright (c) 2003-2010 Andreas Pohl, apohl(at)ibp-consult(dot)com
# Copyright (c) 2011-2018  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2006-07-01 mh
# Last Update:  $Id: packagestatus.cgi 51906 2018-02-28 16:29:46Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# Parse variables...
eval "`proccgi $*`"

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo

echo '<html><head>'
echo '<title>Package Status</title>'
echo '<html>'
echo '</head>'

echo '<frameset rows="120,*" frameborder="0">'
echo '<frame name="list_header" src="header.cgi" noresize>'
echo '<frame name="list_details" src="list.cgi" noresize>'
echo '</frameset>'

</html>
